Subject: RE: Xilinx Temac Timer ?

From: khollan <[email-masked]>
Date: Thu, 27 Mar 2008 12:31:57 -0700 (PDT)

John Linn wrote:
> 
> Hi Kevin,
> 
> I didn't write the code but I know the driver somewhat.
> 
> I think the intention of stopping the timer is to prevent the reentrancy
> as the comment says because there is a function, gmii_poll, that is
> setup on the timer to go read the phy registers to see if anything
> changed in the phy. 
> 
> Stopping the timer prevents a phy read from happening in gmii_poll in
> the middle of the ioctl phy read which could hose things up.
> 
> I don't see why you couldn't change that timer stop to some other form
> of synchronization/mutual exclusion so that the phy reads don't collide.
> 
> As I look at it, it appears to me the spinlock should provide the
> synchronization needed without stopping the timer, but maybe I'm missing
> something. I CCed John Bonesio as he's the guy that developed this code
> I believe and maybe he'll have more insight here.
> 
> Thanks,
> John
> 
I removed the timer code, and it seems to be working correctly, hopefully
the spin lock is all I need to lock out the polling function.  Thanks for
you help

Kevin
-- 
View this message in context: http://www.nabble.com/Xilinx-Temac-Timer---tp16306218p16332251.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.